{: test that pred type error causes a compilation error }

program e1036( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;

begin { e1036 }

   e := black;
   n := 2;
   e := pred( e, 2 );     { OK }
   e := pred( e, brown ); { !!! arg2 must be integer }
   writeln( 'pred error not detected' );
end. { e1036 }

